/* This is a network- and versioning-transparent re-implementation of the
 * standard file I/O system calls.
 * It should be fairly obvious how they're used.
 */
#ifndef __FILE_OP_H__
#define __FILE_OP_H__ 1

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdarg.h>

int Open(const char *pathname, int flags, ...);
int Creat(const char *pathname, mode_t mode);
ssize_t Read(int fd, void *buf, size_t count);
ssize_t Write(int fd, const void *buf, size_t count);
int Close(int fd);

/* The following functions are for internal use; if you use them for anything *
 * else, it may or may not continue to work in the next version of libconf!   */
int Open_NOLOCATE(const char *pathname, int flags, ...);
#endif
