/* Basic URL parsing... */
#ifndef __URL_H__
#define __URL_H__ 1

/** get the protocol type specified in the URL
 *  @param URL URL
 *  @return protocol or NULL if no protocol was specified
 */
char *protocol(const char *URL);

/** fix up a (possibly) incomplete URL.
 *  @param URL URL that needs to be fixed
 *  @param default_protocol protocol type to prefix if it was omitted
 */
char *fix_url(const char *URL, const char *default_protocol);

/** get the hostname part (if any) of an URL
 *  @param URL URL to check
 *  @return hostname part of URL or NULL
 */
char *hostname(const char *URL);

/** get the filename part (if any) of an URL
 *  @param URL URL to check
 *  @return filename part of URL or NULL
 */
char *filename(const char *URL);
#endif
